  local threatplates = true		-- Set to false for normal nameplate behaviour

  local txt = "Interface\\Buttons\\WHITE8x8"
  local font = "Interface\\Addons\\sharedmedia\\fonts\\font.TTF", "OUTLINEMONOCHROME"
  local fontsize = 6
  local fontflag = "OUTLINEMONOCHROME"
  local imTank
  local _, class = UnitClass('player')
  
  -- role check for aggro colors
  local function RoleCheck()
    local spec = GetSpecialization()
	if (class == 'DEATHKNIGHT' and spec == 1) or(class == 'DRUID' and spec == 3) or(class == 'MONK' and spec == 1) or(class == 'PALADIN' and spec == 2) or(class == 'WARRIOR' and spec == 3) then
	  imTank = true
	else
	  imTank = false
	end
  end
  
  --calc hex color from rgb
  local function RGBPercToHex(r, g, b)
    r = r <= 1 and r >= 0 and r or 0
    g = g <= 1 and g >= 0 and g or 0
    b = b <= 1 and b >= 0 and b or 0
    return string.format("%02x%02x%02x", r*255, g*255, b*255)
  end
  
  -- hp statusbar coloring
  local function Colorize(f)
	local r,g,b = f.healthbar:GetStatusBarColor()
	
	for class, color in pairs(CUSTOM_CLASS_COLORS) do
		local r, g, b = floor(r*100+.5)/100, floor(g*100+.5)/100, floor(b*100+.5)/100
		if CUSTOM_CLASS_COLORS[class].r == r and CUSTOM_CLASS_COLORS[class].g == g and CUSTOM_CLASS_COLORS[class].b == b then
			f.hasClass = true
			f.isFriendly = false
			return
		end
	end
	
	if g+b == 0 then -- hostile
		r,g,b = 204/255, 77/255,  56/255
		f.isFriendly = false
	elseif r+b == 0 then -- friendly npc
		r,g,b = 0/255, 153/255, 26/255
		f.isFriendly = true
	elseif r+g > 1.95 then -- neutral
		r,g,b = 230/255, 179/255, 0/255
		f.isFriendly = false
	elseif r+g == 0 then -- friendly player
		r,g,b = 79/255,  115/255, 161/255
		f.isFriendly = true
	else -- enemy player
		f.isFriendly = false
	end
	f.hasClass = false
	
	f.healthbar:SetStatusBarColor(r,g,b)
  end
  
  local hideStuff = function(f)
    f.name:Hide()
    f.level:Hide()
	f.threat:Hide()
    f.dragon:SetTexture("")
    f.border:SetTexture("")
    f.boss:SetTexture("")
    f.highlight:SetTexture("")
    f.castbar.border:SetTexture("")
    f.castbar.shield:SetTexture("")
  end
  
  local fixStuff = function(f)
	local offset = UIParent:GetScale() / f:GetEffectiveScale()
    f.healthbar:ClearAllPoints()
	f.healthbar:SetPoint("CENTER",f.back_holder,"CENTER")
	f.healthbar:SetSize(90*offset,6*offset)
    f.healthbar:SetParent(f.back_holder)
	f.threat:ClearAllPoints()
	f.threat:SetAllPoints(f.threat_holder)
    f.threat:SetParent(f.threat_holder)
    Colorize(f)
  end
  
  --update health
  local updateHealth = function(f)
    if not f.healthbar then return end
	f.healthbar:SetSize(90,6)
  end
  
  --update castbar
  local updateCastbar = function(cb)
    if cb.shield:IsShown() then
      cb:SetStatusBarColor(1,0,0)
    else
      cb:SetStatusBarColor(.9,.9,0)
    end
  end

  local fixCastbar = function(cb)
    cb:ClearAllPoints()
	cb:SetPoint("CENTER",cb.parent,"CENTER")
    cb:SetAllPoints(cb.parent)
    cb:SetParent(cb.parent)
	updateCastbar(cb)
  end

  local getDifficultyColorString = function(f)
    local color = {}
    color.r,color.g,color.b = f.level:GetTextColor()
    return RGBPercToHex(color.r,color.g,color.b)
  end

  local getHealthbarColor = function(f)
    local color = {}
    color.r,color.g,color.b = f.healthbar:GetStatusBarColor()
    return color
  end

  --set txt func
  local updateText = function(f)
    local cs = getDifficultyColorString(f)
    local name = f.name:GetText() or "Nobody"
    local level = f.level:GetText() or "-1"
    if f.boss:IsShown() == 1 then
      level = "B"
      cs = "ff6600"
    elseif f.dragon:IsShown() == 1 then
      level = level.."+"
    end
    f.ns:SetText("|c00"..cs..""..level.."|r ".."|c00FFFFFF"..name.."|r ")
  end
  
  --update threat
  local function UpdateThreat(f)
	local r,g,b = f.healthbar:GetStatusBarColor()
	if f.hasClass == true then return end
	if not f.threat:IsShown() then
			if InCombatLockdown() and f.isFriendly ~= true then
				--No Threat
				if imTank then
					f.healthbar:SetStatusBarColor(1, 0, 0)		
				else
					f.healthbar:SetStatusBarColor(r, g, b)
					
				end		
			else
				--Set colors to their original, not in combat
				f.healthbar:SetStatusBarColor(r, g, b)
			end
		else
			--Ok we either have threat or we're losing/gaining it
			local r, g, b = f.threat:GetVertexColor()
			if g + b == 0 then
				--Have Threat
				if imTank then
					f.healthbar:SetStatusBarColor(0, 1, 0)			
				else
					f.healthbar:SetStatusBarColor(1, 0, 0)
				end
			else
				--Losing/Gaining Threat
				if f.isFriendly == false then
					f.healthbar:SetStatusBarColor(r, g, b)
				else
					f.healthbar:SetStatusBarColor(1, 1, 0)
				end		
			end
		end
  end

  --new fontstrings for name and lvl func
  local createNameString = function(f)
	local offset = UIParent:GetScale() / f:GetEffectiveScale()
    local n = f.healthbar:CreateFontString(nil, "OVERLAY")
    n:SetFont(font, fontsize, fontflag)
    n:SetPoint("TOPLEFT", f.healthbar, "LEFT", 2*offset, 10*offset)
	n:SetPoint("TOPRIGHT", f.healthbar, "RIGHT", 0, 2*offset)
    n:SetJustifyH("LEFT")
    f.ns = n
  end

  --create art
  local createArt = function(f)
	local offset = UIParent:GetScale() / f:GetEffectiveScale()
    local w,h = 90,6
    --threat holder
    local th = CreateFrame("Frame",nil,f)
	--[[th:SetSize(w+4*offset,h+4*offset)
	th:SetPoint("CENTER", f, "CENTER")
	th:SetFrameLevel(4)]]
	th:Hide() -- hide the blizz threat glow (keeping the code just in case)
	--threat glow
	--[[f.threat:SetTexture(txt)
	f.threat:ClearAllPoints()
	f.threat:SetAllPoints(th)]]
	f.threat:SetParent(th)
    --background frame
    local bf = CreateFrame("Frame",nil,f)
    bf:SetSize(w+2*offset, h+2*offset)
    bf:SetPoint"CENTER"
	bf:SetBackdrop({
	bgFile = txt,
	edgeFile = txt,
	edgeSize = offset,
	})
	bf:SetBackdropColor(0,0,0,.5)
	bf:SetBackdropBorderColor(0,0,0)
	bf:SetFrameLevel(5)
    --position healthbar
    f.healthbar:SetStatusBarTexture(txt)
    f.healthbar:ClearAllPoints()
    f.healthbar:SetPoint("CENTER",bf,"CENTER")
	f.healthbar:SetSize(w,h)
    f.healthbar:SetParent(bf)
    Colorize(f)
    --highlight frame
    local hl = CreateFrame("Frame",nil,f.healthbar)
    hl:SetAllPoints(bf)
    --raid icon
    f.raid:ClearAllPoints()
    f.raid:SetSize(25,25)
    f.raid:SetPoint("CENTER", 0, 35*offset)
    f.raid:SetParent(hl)
    --parent frames
    f.threat_holder = th
    f.back_holder = bf
    f.gloss_holder = hl
  end

  --create castbar art
  local createCastbarArt = function(f)
	local offset = UIParent:GetScale() / f:GetEffectiveScale()
    local w,h = 90,6
    --background frame
    local bf = CreateFrame("Frame",nil,f)
    bf:SetSize(w,h)
    bf:SetPoint("CENTER",0, -15*offset)
	bf:SetFrameLevel(2)
    --position castbar
    f.castbar:SetStatusBarTexture(txt)
    f.castbar:ClearAllPoints()
    f.castbar:SetAllPoints(bf)
    f.castbar:SetParent(bf)
	--backdrop
	bg = CreateFrame("Frame",nil,f.castbar)
	bg:SetSize(w+2*offset, h+2*offset)
    bg:SetPoint"CENTER"
	bg:SetBackdrop({
	bgFile = txt,
	edgeFile = txt,
	edgeSize = offset,
	})
	bg:SetBackdropColor(0,0,0,.5)
	bg:SetBackdropBorderColor(0,0,0)
	bg:SetFrameLevel(1)
    --move icon to gloss frame
    local ic = CreateFrame("Frame",nil,f.castbar)
    ic:SetSize(20*offset,20*offset)
    ic:SetPoint("BOTTOMRIGHT", f.castbar, "BOTTOMLEFT", -4, 0)
	ic:SetFrameLevel(2)
    --castbar icon adjust
    f.castbar.icon:SetTexCoord(0.1,0.9,0.1,0.9)
    f.castbar.icon:ClearAllPoints()
    f.castbar.icon:SetAllPoints(ic)
    f.castbar.icon:SetParent(ic)
    f.castbar.icon:SetDrawLayer("BACKGROUND",3)
    local ib = CreateFrame("Frame",nil,ic)
	ib:SetSize(23*offset, 23*offset)
    ib:SetPoint"CENTER"
	ib:SetBackdrop({
	bgFile = txt,
	edgeFile = txt,
	edgeSize = offset,
	})
	ib:SetBackdropColor(0,0,0,.5)
	ib:SetBackdropBorderColor(0,0,0)
	ib:SetFrameLevel(1)
    f.castbar.parent = bf --keep reference to parent element for later
    f.castbar_holder = bf
  end

  --update style func
  local updateStyle = function(f)
	local offset = UIParent:GetScale() / f:GetEffectiveScale()
    hideStuff(f)
    fixStuff(f)
    updateText(f)
    updateHealth(f)
	f.threat:SetAllPoints(f.threat_holder)
  end

  --init style func
  local styleNameplate = function(f)
    if not f then return end
    --make objects available for later
    f.healthbar, f.castbar = f:GetChildren()
    f.threat, f.border, f.highlight, f.name, f.level, f.boss, f.raid, f.dragon = f:GetRegions()
    f.castbar.texture, f.castbar.border, f.castbar.shield, f.castbar.icon = f.castbar:GetRegions()
    f.unit = {}
    --create stuff
    createArt(f)
    createCastbarArt(f)
    createNameString(f)
    updateText(f)
    --hide stuff
    hideStuff(f)
    --hook stuff
    f:HookScript("OnShow", updateStyle)
    f.castbar:HookScript("OnShow", updateCastbar)
    --fix castbar
    f.castbar:SetScript("OnValueChanged", fixCastbar)
    --update health
    f.healthbar:SetScript("OnValueChanged", updateHealth)
    updateHealth(f.healthbar)
    --set var
    f.RDP_styled = true
  end

  --check
  local IsNamePlateFrame = function(f)
    local name = f:GetName()
    if name and name:find("NamePlate") then
      return true
    end
    f.RDP_styled = true --don't touch this frame again
	return false
  end

  -- onupdate
  local lastupdate = 0
  
  local searchNamePlates = function(self,elapsed)
    lastupdate = lastupdate + elapsed
    if lastupdate > 0.2 then
      lastupdate = 0
      local num = select("#", WorldFrame:GetChildren())
      for i = 1, num do
        local f = select(i, WorldFrame:GetChildren())
        if not f.RDP_styled and IsNamePlateFrame(f) then
          styleNameplate(f)
		elseif IsNamePlateFrame(f) then
		  UpdateThreat(f)
		end		
      end
    end
  end

  -- initialization
  local a = CreateFrame("Frame")
  a:SetScript("OnEvent", function(self, event)
    if(event=="PLAYER_ENTERING_WORLD") then
      self:SetScript("OnUpdate", searchNamePlates)
	  RoleCheck()
	  if InCombatLockdown() then
		SetCVar("nameplateShowEnemies", 1)
	  else
		SetCVar("nameplateShowEnemies", 1)
	  end
	elseif(event=="PLAYER_REGEN_ENABLED") then
		SetCVar("nameplateShowEnemies", 1)
	elseif(event=="PLAYER_REGEN_DISABLED") then
		SetCVar("nameplateShowEnemies", 1)
	else
	  RoleCheck()
    end
  end)
  a:RegisterEvent("PLAYER_ENTERING_WORLD")
  a:RegisterEvent("PLAYER_REGEN_ENABLED")
  a:RegisterEvent("PLAYER_REGEN_DISABLED")
  a:RegisterEvent("ACTIVE_TALENT_GROUP_CHANGED")
  a:RegisterEvent("PLAYER_TALENT_UPDATE")